Bug 115087 - Change default location of Color bar and move location of 'None' entry
Summary: Change default location of Color bar and move location of 'None' entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0
Keywords: difficultyInteresting, easyHack, needsDevEval, skillCpp, topicUI
Depends on:
Blocks: Color-Bar
  Show dependency treegraph
 
Reported: 2018-01-18 12:20 UTC by andreas_k
Modified: 2019-07-17 10:54 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Color Bar default style (146.45 KB, image/png)
2018-01-18 12:20 UTC, andreas_k
Details
Color bare in Pages sidebar (65.94 KB, image/png)
2018-01-18 12:22 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-01-18 12:20:34 UTC
Created attachment 139180 [details]
Color Bar default style

The color bar is great but it doesn't fit in the default section on bottom, cause it's designed for 1:1 not for 20:1.

The real bug is that the arangement isn't the same than in the dialog or the sidebar as you can see at the attachment. And please move the none color somewhere in a new line or wherever cause otherwise you "destroy" the arrangement of the color plate.
Comment 1 andreas_k 2018-01-18 12:22:58 UTC
Created attachment 139181 [details]
Color bare in Pages sidebar

As it fit's way better the orientation of the color bar I would suggest to use as default place the Pages "Sidebar" than the colors are also where the drawing elements are located. 

And of corse you can turn this toolbar on by default.
Comment 2 Heiko Tietze 2018-01-19 12:27:52 UTC
"None" should definitely be placed in a separate line. And maybe it would also be a good idea to have the control not at the document bottom by default but in the sidebar.

See also https://www.youtube.com/watch?v=p-0_6VGFwqc
Comment 3 Yousuf Philips (jay) (retired) 2018-01-19 16:23:58 UTC
(In reply to andreas_k from comment #0)
> ... please move the none color
> somewhere in a new line or wherever cause otherwise you "destroy" the
> arrangement of the color plate.

+1

(In reply to andreas_k from comment #1)
> As it fit's way better the orientation of the color bar I would suggest to
> use as default place the Pages "Sidebar" than the colors are also where the
> drawing elements are located. 

Think it would be better in the left sidebar, as that is the location of properties and the Pages pane can be closed.

> And of corse you can turn this toolbar on by default.

It being on by default in the sidebar would be good.

I would suggest that a 'Colors' content panel be created for the sidebar, so that users will be able to switch palettes and other things and not be limited to just the colors in the standard palette, like in the color bar.
Comment 4 Heiko Tietze 2018-10-28 12:13:03 UTC
General agreement to this proposal, removing needsUX. The color bar should be placed below the sidebar (switching on/off keeps the sidebar's content more static), and if possible it could get integrated into the sidebar as a separate deck. Furthermore, a new line on top with None/Automatic or the like should be added likewise it's the fact on color pickers.

Could be an easyhack.
Comment 5 andreas_k 2019-07-16 21:25:35 UTC
I had a look but for now it's not an easy hack. I can't move the Transparent color to the end of the block.
Comment 6 Heiko Tietze 2019-07-17 06:02:49 UTC
Code pointers:

svx/source/tbxctrls/colrctrl.cxx / SvxColorDockingWindow::FillValueSet() 

As a quick and dirty solution I can move the None/Automatic item to the last position but probably it's better to weld the widget. Prototype could be the color picker, see ColorWindow::ColorWindow() in svx/source/tbxctrls/tbcontrol.cxx and include/svx/colorwindow.hxx.
Comment 7 andreas_k 2019-07-17 06:46:12 UTC
by default Color bar is locted at the bottom (not at the area of the sidebar) and if you move the color bar to the sidebar it has arangement issues (minimal hight should be 10 rows, but it's more).

If you would use the Color picker widget it would never ever fit in the bottom area where the widget is now (by default).

So my recommendation is

1st step
- move transparent to the last entry

2nd step
- make a real color widget and arrange it by default in the sidebar as recommended in this bug

Heiko can you please make the first step.

Tanks
Comment 8 Heiko Tietze 2019-07-17 10:54:18 UTC
Fixed but with room for improvement. Placing the colorbar underneath the sidebar is tricky.
Comment 9 Commit Notification 2019-07-17 10:54:35 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bebc2280e43fc381e9085f2a397dad9dd7701fdd%5E%21

Resolves tdf#115087 and tdf#121437 - Improvements to color bar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.